export declare enum PM {
    PNPM = "pnpm",
    YARN = "yarn",
    YARN_BERRY = "yarn-berry",
    BUN = "bun",
    NPM = "npm"
}
export declare function getPackageManagerCommand(pm: PM): string;
export declare function detectPackageManager(searchPaths: string[]): Promise<{
    pm: PM;
    corepackConfig: string | undefined;
    resolvedDirectory: string | undefined;
}>;
